## nvidia-graphics-drivers 510.108.03

=== debian/changelog ===
nvidia-graphics-drivers (510.108.03-3) unstable; urgency=medium

  * Backport drm_connector_has_override_edid changes from 525.78.01 to fix
    kernel module build for Linux 6.2.  (Closes: #1027790)
  * Drop support for building modules for non-native kernel architectures.
  * nvidia-alternative: Access kmod config files over a versioned symlink.
  * New Brazilian Portuguese (pt_BR) debconf translations by Paulo Henrique de
    Lima Santana.  (Closes: #1028259)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Jan 2023 22:20:56 +0100

nvidia-graphics-drivers (510.108.03-2) unstable; urgency=medium

  * nvidia-detect: Drop support for stretch(-lts) (EoL).
  * nvidia-detect: Add support for Tesla drivers.
  * nvidia-detect: Restrict support to driver series in bookworm.
  * Stop building the nvidia-nonglvnd-vulkan-common package.
  * Bump Standards-Version to 4.6.2. No changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 02 Jan 2023 11:11:15 +0100

nvidia-graphics-drivers (510.108.03-1) unstable; urgency=medium

  * New upstream production branch release 510.108.03 (2022-11-22).
    * Fixed CVE-2022-34670, CVE-2022-34674, CVE-2022-34675, CVE-2022-34677,
      CVE-2022-34679, CVE-2022-34680, CVE-2022-34682, CVE-2022-34684,
      CVE-2022-42254, CVE-2022-42255, CVE-2022-42256, CVE-2022-42257,
      CVE-2022-42258, CVE-2022-42259, CVE-2022-42260, CVE-2022-42261,
      CVE-2022-42262, CVE-2022-42263, CVE-2022-42264.  (Closes: #1025279)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5415
    * Improved compatibility with recent Linux kernels.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.
  * Add missing #includes to fix kernel module build for ppc64el.
  * Rename the internally used ARCH variable which might clash on externally
    set values.
  * Use substitutions for ${nvidia-kernel} and friends.
  * Try to compile a kernel module at package build time.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 10 Dec 2022 03:43:21 +0100
