## nvidia-graphics-drivers 515.48.07

=== debian/changelog ===
nvidia-graphics-drivers (515.48.07-3) experimental; urgency=medium

  * Merge changes from 510.108.03-3.
  * Extract nv-readme-open.ids from README.
  * nvidia-detect: Report GPUs that can be used with the open kernel module.
  * Allow nvidia-open-kernel-dkms as alternative to nvidia-kernel-dkms.
  * nvidia-alternative: Register another alternative if
    nvidia-open-kernel-dkms is available.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 Jan 2023 02:46:43 +0100

nvidia-graphics-drivers (515.48.07-2) experimental; urgency=medium

  * Merge changes from 510.108.03-1.
  * Backport find_vma_intersection from 515.57 and num_registered_fb changes
    from 515.76 to fix kernel module build for Linux 6.1.
  * libcuda1: Add Provides: libcuda-11.7-1{,-i386}.
  * Put the kernel module patches under Expat license.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 14 Dec 2022 02:10:26 +0100

nvidia-graphics-drivers (515.48.07-1) experimental; urgency=medium

  * New upstream production branch release 515.48.07 (2022-05-31).
    - Improved performance of GLX and Vulkan applications running in
      gamescope.
    - Added a "kernelopen" feature tag to the supported-gpus.json file,
      to indicate which GPUs are compatible with open-gpu-kernel-modules.
    - Improved Vulkan swapchain creation failure reporting. Applications can
      use the VK_EXT_debug_utils extension to receive additional information
      when an error was encountered in vkCreateSwapchainKHR().
  * New upstream beta 515.43.04 (2022-05-11).
    - Published the source code to a variant of the NVIDIA Linux kernel
      modules dual-licensed as MIT/GPLv2. The source is available here:
          https://github.com/NVIDIA/open-gpu-kernel-modules
      and will be updated each driver release. Please see the "Open
      Linux Kernel Modules" chapter in the README for details.
    - Added support for the VK_EXT_external_memory_dma_buf and
      VK_EXT_image_drm_format_modifier Vulkan extensions. To use this
      functionality, the nvidia-drm kernel module must be loaded with DRM KMS
      mode setting enabled. See the DRM KMS section of the README for guidance
      on enabling mode setting.
    - Changed nvidia-suspend.service, nvidia-resume.service, and
      nvidia-hibernate.service to use WantedBy= rather than RequiredBy=
      dependencies for systemd-suspend.service and systemd-hibernate.service.
      This avoids a problem where suspend or hibernate fails if the NVIDIA
      driver is uninstalled without disabling these services first.
      See https://github.com/systemd/systemd/issues/21991
      If these services were manually enabled, it may be necessary to update
      their dependencies by running
        sudo systemctl reenable nvidia-suspend.service \
          nvidia-resume.service nvidia-hibernate.service
    - Interlaced modes are now disabled when active stereo is enabled.
    - Removed the warning message about mismatches between the compiler
      used to build the Linux kernel and the compiler used to build the
      NVIDIA kernel modules from nvidia-installer. Modern compilers are less
      likely to cause problems when this type of mismatch occurs, and it has
      become common in many distributions to build the Linux kernel with a
      different compiler than the default system compiler.
    - Updated the RTD3 Video Memory Utilization Threshold
      (NVreg_DynamicPowerManagementVideoMemoryThreshold) maximum value from
      200 MB to 1024 MB.

  [ Andreas Beckmann ]
  * Bump minimum supported kernel version to 3.10.
  * Backport get_task_ioprio changes from 510.85.02, acpi changes from
    515.65.01, drm_frambuffer.h changes from 515.76 to fix kernel module build
    for Linux 6.0.
  * Refresh patches.
  * Update symbols files.
  * Update lintian overrides.
  * Restrict watch file to releases from the 515.xx production branch.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 02 Nov 2022 18:49:54 +0100
