=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  Andreas Beckmann <anbe@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
-Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b 510
+Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b 515
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
@@ -82,6 +82,7 @@
 Provides:
  nvidia-alternative-any,
  ${nvidia}-alternative--kmod-alias,
+ ${nvidia}-alternative-${nvidia:Version},
 Conflicts:
  libglvnd0-nvidia,
  libopengl0-glvnd-nvidia,
@@ -361,4 +362,3 @@
  libgl1-nvidia-glx-any,
 Description: NVIDIA binary OpenGL/GLX library (GLVND variant)${nvidia:VariantDesc}
  The NVIDIA binary driver provides optimized hardware acceleration of
- OpenGL/GLX/EGL/GLES applications via a direct-rendering X Server
