=== debian/rules ===
--- 
+++ 
@@ -118,8 +118,12 @@
 
 deps_nvidia_kmod_binary	 = $${nvidia-kernel}-dkms (= $${binary:Version})                [$${nvidia:archlist:driver}] |
 deps_nvidia_kmod_binary	+= $${nvidia-kernel}-$${nvidia:Version}                         [$${nvidia:archlist:driver}] |
+deps_nvidia_kmod_binary	+= $${nvidia}-open-kernel-$${nvidia:Version}                    [$${nvidia:archlist:driver}] |
+deps_nvidia_kmod_binary	+= nvidia-open-kernel-$${nvidia:Version}                        [$${nvidia:archlist:driver}] |
 deps_nvidia_kmod_source	 = $${nvidia-kernel}-dkms (>= $${nvidia:Version})               [$${nvidia:archlist:driver}] |
 deps_nvidia_kmod_source	+= $${nvidia-kernel}-source (>= $${nvidia:Version})             [$${nvidia:archlist:driver}] |
+deps_nvidia_kmod_source	+= $${nvidia}-open-kernel-source (>= $${nvidia:Version})        [$${nvidia:archlist:driver}] |
+deps_nvidia_kmod_source	+= nvidia-open-kernel-source (>= $${nvidia:Version})            [$${nvidia:archlist:driver}] |
 
 
 .PHONY: autogen prepare patch
@@ -127,6 +131,7 @@
 prepare: autogen unpack-stamp
 ifneq (,$(has_driver))
 prepare: nvidia.ids compare-copyright-license
+prepare: nvidia-open.ids
 endif
 patch: prepare
 
@@ -182,29 +187,20 @@
 		exit 1 ; \
 	fi
 
+nv-readme-open.ids: unpack-stamp
+	sed -r -n '/^[0-9]+A?\. SUPPORTED GPUS/,/^Chapter/ s/^(.{41}|.{49}) ([0-9a-fA-F]{4})($$| .*)/10de\2/p' \
+		NVIDIA-Linux/README.txt \
+		| tr a-f A-F | sort -u > $@
+	@set -e -x ; \
+	if ! cmp -s debian/$@ $@ ; then \
+		diff -u debian/$@ $@ || true ; \
+		: "*** Supported PCI IDs have changed. See diff above. Aborting. ***"; \
+		exit 1 ; \
+	fi
+
 nvidia.ids: nv-readme.ids
 	cp $< $@
 
-# Reformat the LICENSE to the format needed for debian/copyright.
-LICENSE.txt: unpack-stamp
-	sed -e 's/^ *//; s/ *$$//; s/^$$/./; s/^/ /;' NVIDIA-Linux/LICENSE > $@
-
-# Compare the license in debian/copyright with the LICENSE shipped in the archive.
-compare-copyright-license: LICENSE.txt
-	sed -e '1,/^License: NVIDIA-graphics-drivers/d; 1,/^License: NVIDIA-graphics-drivers$$/d; /^$$\|^Comment:$$/,$$d; /^ \.$$/d' debian/copyright > copyright.tmp
-	sed -e '/^ \.$$/d' LICENSE.txt > LICENSE.tmp
-	diff -w copyright.tmp LICENSE.tmp
-	$(RM) copyright.tmp LICENSE.tmp
-
-.PHONY: binary binary-arch binary-indep build clean install
-binary binary-arch binary-indep build clean install:
-	dh $@
-
-override_dh_auto_clean:
-	$(RM) -r .pc
-	$(RM) NVIDIA-Linux
-	$(RM) -r $(foreach a,$(ARCH_LIST),NVIDIA-Linux-$a $(NVIDIA_DIRNAME_$a))
-	$(RM) -r build
-	$(RM) -r kernel-source-tree
-	$(RM) nvidia.ids nv-readme.ids pci.ids.nvidia*
-	$(RM) LICENSE.txt LICENSE.tmp copyright.tmp
+nvidia-open.ids: nv-readme-open.ids
+	cp $< $@
+
