## nvidia-graphics-drivers 515.86.01

=== debian/changelog ===
nvidia-graphics-drivers (515.86.01-1) unstable; urgency=medium

  * New upstream production branch release 515.86.01 (2022-11-22).
    * Fixed CVE-2022-34670, CVE-2022-34673, CVE-2022-34674, CVE-2022-34675,
      CVE-2022-34677, CVE-2022-34679, CVE-2022-34680, CVE-2022-34682,
      CVE-2022-34684, CVE-2022-42254, CVE-2022-42255, CVE-2022-42256,
      CVE-2022-42257, CVE-2022-42258, CVE-2022-42259, CVE-2022-42263,
      CVE-2022-42264, CVE-2022-42265.  (Closes: #1025279)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5415
    - Fixed a regression in 515.76 that caused blank screens and hangs when
      starting an X server on RTX 30 series GPUs in some configurations where
      the boot display is connected via HDMI.
    - Fixed a bug where Marvel's Spider-Man Remastered would sometimes crash
      with Xid 13 errors on Turing and later.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update symbols files.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 27 Jan 2023 12:00:08 +0100

nvidia-graphics-drivers (515.76-1) experimental; urgency=medium

  * New upstream production branch release 515.76 (2022-09-20).
    - Turing and later: fixed possible excessive GPU power draw on an idle
      X11 or Wayland desktop when driving high resolutions or refresh rates.
    * Improved compatibility with recent Linux kernels.
  * New upstream Tesla release (amd64 only) 515.65.07 (2022-10-19).

  [ Andreas Beckmann ]
  * Refresh patches.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 25 Jan 2023 10:55:31 +0100
