=== debian/control ===
--- 
+++ 
@@ -155,6 +155,7 @@
  | ${libcuda1} (>= ${nvidia:Version}),
 Provides:
  ${nvidia-kernel}-${nvidia:Version},
+ nvidia-kernel-dkms-any (= ${nvidia:Version}),
 Description: NVIDIA binary kernel module DKMS source${nvidia:VariantDesc}
  This package builds the NVIDIA binary kernel modules needed by
  ${nvidia}-driver, using DKMS.
@@ -179,7 +180,6 @@
 Depends:
  debhelper-compat (= ${nvidia:debhelper-compat}),
  module-assistant,
- quilt,
  ${misc:Depends}
 Recommends:
  firmware-${nvidia}-gsp (= ${nvidia:Version}) [${nvidia:archlist:gsp}] | firmware-nvidia-gsp-${nvidia:Version} [${nvidia:archlist:gsp}],
