=== debian/rules ===
--- 
+++ 
@@ -91,7 +91,7 @@
 
 TEMPLATE_DIRS	 = debian
 TEMPLATE_DIRS	+= debian/module/debian
-TEMPLATE_DIRS	+= debian/module/debian/patches
+TEMPLATE_DIRS	+= debian/patches/module
 TEMPLATE_DIRS	+= debian/detect
 TEMPLATE_DIRS	+= debian/tests
 TEMPLATES	:= $(wildcard $(addsuffix /*.in,$(TEMPLATE_DIRS)))
@@ -171,6 +171,7 @@
 	ln -s NVIDIA-Linux-$(DEB_HOST_ARCH) NVIDIA-Linux
 ifneq (,$(has_driver))
 	QUILT_PATCHES=debian/patches QUILT_SERIES=series-postunpack quilt --quiltrc /dev/null push -a || test $$? = 2
+	# bashism is used on a few architectures only
 	sed -i 's/==/=/g' NVIDIA-Linux/nvidia-bug-report.sh
 endif
 	ls -al
@@ -202,5 +203,3 @@
 	cp $< $@
 
 nvidia-open.ids: nv-readme-open.ids
-	cp $< $@
-
