=== debian/rules ===
--- 
+++ 
@@ -70,10 +70,12 @@
 CONTROL_PREFIXES	+= libegl-nvidia0
 CONTROL_PREFIXES	+= libgles-nvidia1 libgles-nvidia2
 CONTROL_PREFIXES	+= libcuda1
+CONTROL_PREFIXES	+= libcudadebugger1
 CONTROL_PREFIXES	+= libnvcuvid1
 CONTROL_PREFIXES	+= libnvoptix1
 CONTROL_PREFIXES	+= xserver-xorg-video-nvidia
 RENAME_libcuda1		 = $(libcuda1)
+RENAME_libcudadebugger1	 = lib$(nvidia_if_variant)cudadebugger1
 RENAME_libnvcuvid1	 = lib$(nvidia_if_variant)nvcuvid1
 RENAME_libnvoptix1	 = lib$(nvidia_if_variant)nvoptix1
 renamed_prefix		 = $(or $(RENAME_$1),$(subst nvidia,$(if $(filter %nvidia0 %nvidia1 %nvidia2,$1),$(nvidia-),$(nvidia)),$1))
@@ -195,11 +197,3 @@
 	@set -e -x ; \
 	if ! cmp -s debian/$@ $@ ; then \
 		diff -u debian/$@ $@ || true ; \
-		: "*** Supported PCI IDs have changed. See diff above. Aborting. ***"; \
-		exit 1 ; \
-	fi
-
-nvidia.ids: nv-readme.ids
-	cp $< $@
-
-nvidia-open.ids: nv-readme-open.ids
