## nvidia-graphics-drivers 525.89.02

=== debian/changelog ===
nvidia-graphics-drivers (525.89.02-2~ab11+1) bullseye-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    483672e9b13a70826f99c7601b1f9e437845e019.
  * External port from: https://deb.debian.org/debian/pool/non-free-
    firmware/n/nvidia-graphics-drivers/nvidia-graphics-drivers_525.89.02-
    2.dsc
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.fritz.box>  Sat, 15 Apr 2023 17:16:25 +0200

nvidia-graphics-drivers (525.89.02-2) unstable; urgency=medium

  * Add libnvidia-nvvm.so.#VERSION# alternative, needed by nvidia-opencl-icd.
    (Closes: #1030336)
  * Prevent co-installation with EoL drivers.
  * Restrict watch file to releases from the 525.xx production branch.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 21 Mar 2023 14:44:12 +0100

nvidia-graphics-drivers (525.89.02-1) unstable; urgency=medium

  * The firmware-nvidia-gsp package has been moved to the newly created
    'non-free-firmware' archive area. This area needs to be enabled in
    /etc/apt/sources.list (/etc/apt/sources.list.d/*.list) in addition to
    'non-free' in order to upgrade to the 525 driver series.
    https://www.debian.org/releases/bookworm/amd64/release-notes/ch-information.en.html#non-free-split
    (Closes: #1030981)

  * New upstream production branch release 525.89.02 (2023-02-08).
    - Fixed a bug that could cause banding or flickering of color
      gradients on DisplayPort monitors.

  [ Andreas Beckmann ]
  * Update nv-readme.ids.
  * Fix nvngx.dll install location.  (Closes: #1031185)
  * nvidia-opencl-icd: Add dependency on libnvidia-nvvm4.  (Closes: #1031080)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 Feb 2023 01:27:21 +0100

nvidia-graphics-drivers (525.85.12-1) unstable; urgency=medium

  * New upstream production branch release 525.85.12 (2023-01-30).
  * New upstream production branch release 525.85.05 (2023-01-19).
    - Improved the reliability of suspend and resume on UEFI systems
      when using certain display panels.
    - Fixed a bug that could cause VK_ERROR_DEVICE_LOST when using
      VK_MEMORY_ALLOCATE_DEVICE_ADDRESS_CAPTURE_REPLAY_BIT to allocate
      memory.
  * New upstream production branch release 525.78.01 (2023-01-05).
    - Fixed a regression that prevented the G-SYNC/G-SYNC Compatible Visual
      Indicator from being displayed when running Vulkan X11 applications.
    - Fixed a bug where usage of VK_KHR_present_id could cause applications to
      crash with Xid 32 errors.
    - Fixed excess CPU usage in hybrid graphics configurations where an
      external display is connected to an NVIDIA discrete GPU and configured
      as a PRIME Display Offload sink (also known as "Reverse Prime").
  * New upstream release 470 series.
    - Disabled Fixed Rate Link (FRL) when using passive DisplayPort
      to HDMI dongles, which are incompatible with FRL.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.  (Closes: #1028496)
  * libcuda1: Add Provides: libcuda-12.0-1.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 09 Feb 2023 10:30:00 +0100

nvidia-graphics-drivers (525.60.13-1) experimental; urgency=medium

  * New upstream production branch release 525.60.13 (2022-12-05).
  * New upstream production branch release 525.60.11 (2022-11-28).
    (Closes: #1025883)
    * Fixed CVE-2022-34670, CVE-2022-34673, CVE-2022-34674, CVE-2022-34675,
      CVE-2022-34677, CVE-2022-34679, CVE-2022-34680, CVE-2022-34682,
      CVE-2022-34684, CVE-2022-42254, CVE-2022-42255, CVE-2022-42256,
      CVE-2022-42257, CVE-2022-42258, CVE-2022-42259, CVE-2022-42263,
      CVE-2022-42264, CVE-2022-42265.  (Closes: #1025279)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5415
    - Improved the performance of PRIME render-offloaded applications.
    - Fixed a bug which caused suspend to fail on systems running GNOME 3
      as a Wayland compositor with NVreg_PreserveVideoMemoryAllocations
      enabled.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 05 Feb 2023 14:07:07 +0100

nvidia-graphics-drivers (525.53-1) experimental; urgency=medium

  * New upstream beta 525.53 (2022-11-10).
    - Fixed a bug which caused Dynamic Boost to not engage on certain Ampere
      GPU based notebooks.
    - Added support for Dynamic Boost on notebooks with AMD CPUs.
    - Fixed a regression that prevented Warp & Blend from working correctly.
    - Fixed a bug that resulted in stutter when moving windows in GNOME.
    - Added support for the EGL_MESA_platform_surfaceless extension.
    - Updated the open kernel modules to support Quadro Sync, Stereo,
      rotation in X11, and YUV 4:2:0 on Turing.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update symbols files.
  * libnvidia-api1: New package for the NVIDIA API runtime library.
  * firmware-nvidia-gsp: Move non-free-firmware archive area.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 Feb 2023 01:13:56 +0100
