=== debian/watch ===
--- 
+++ 
@@ -7,5 +7,5 @@
 # https://us.download.nvidia.com/tesla/450.51.05/NVIDIA-Linux-aarch64-450.51.05.run
 
 opts=component=amd64 \
-https://download.nvidia.com/XFree86/Linux-x86_64/(515(?:\.[\d\.\-]+)?)/NVIDIA-Linux-x86_64-(\d[\d\.\-]*)\.run
-#opts=searchmode=plain https://docs.nvidia.com/datacenter/tesla/index.html Version.(515(?:\.[\d\.\-]+)?)
+https://download.nvidia.com/XFree86/Linux-x86_64/(525(?:\.[\d\.\-]+)?)/NVIDIA-Linux-x86_64-(\d[\d\.\-]*)\.run
+#opts=searchmode=plain https://docs.nvidia.com/datacenter/tesla/index.html Version.(525(?:\.[\d\.\-]+)?)
