## nvidia-graphics-drivers 525.105.17

=== debian/changelog ===
nvidia-graphics-drivers (525.105.17-1~mx21ahs) mx; urgency=medium

  * Rebuild for MX Linux AHS.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 18 May 2023 15:29:28 -0700

nvidia-graphics-drivers (525.105.17-1) unstable; urgency=medium

  * New upstream production branch release 525.105.17 (2023-03-30).
    * Fixed CVE-2023-0184, CVE-2023-0189, CVE-2023-0180, CVE-2023-0183,
      CVE-2023-0185, CVE-2023-0187, CVE-2023-0198, CVE-2023-0199,
      CVE-2023-0188, CVE-2023-0190, CVE-2023-0194, CVE-2023-0195,
      CVE-2023-0191.  (Closes: #1033774)
      https://nvidia.custhelp.com/app/answers/detail/a_id/5452
    - Fixed a bug that could cause excessive GPU power consumption at idle
      when driving multiple displays with a high refresh rate.
    - Fixed a bug in nvidia-powerd which could cause excessive CPU usage.
    - Fixed an issue which could cause applications to run at 1 FPS when
      using an NVIDIA PRIME Display Offload sink as the only active display.
    - Added compatibility for Linux kernels with Indirect Branch Tracking
      (IBT).

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.
  * Updated Turkish (tr) debconf translations by Atila KOÇ.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 15 Apr 2023 10:33:15 +0200

nvidia-graphics-drivers (515.105.01-1) UNRELEASED; urgency=medium

  * New upstream production branch release 515.105.01 (2023-03-30).
    * Fixed CVE-2023-0184, CVE-2023-0189, CVE-2023-0180, CVE-2023-0183,
      CVE-2023-0185, CVE-2023-0187, CVE-2023-0198, CVE-2023-0199,
      CVE-2023-0188, CVE-2023-0190, CVE-2023-0194, CVE-2023-0195,
      CVE-2023-0191.
      https://nvidia.custhelp.com/app/answers/detail/a_id/5452
    * Improved compatibility with recent Linux kernels.
  * New upstream release 470 series.
    - Fixed a bug that could cause fullscreen PRIME Render Offload
      applications and/or X to crash when an NVIDIA GPU is driving
      multiple displays with Reverse PRIME.
    - Added support for console restoration when using simpledrm.
    - Disabled Fixed Rate Link (FRL) when using passive DisplayPort
      to HDMI dongles, which are incompatible with FRL.

  [ Andreas Beckmann ]
  * Refresh patches.
  * Update nv-readme.ids.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Apr 2023 01:30:05 +0200
