=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Source: nvidia-graphics-drivers
 Section: non-free/libs
 Priority: optional
-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+Xsbc-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Luca Boccassi <bluca@debian.org>,
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers
-Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b 520
+Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-graphics-drivers.git -b 525
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
@@ -91,6 +92,13 @@
  libegl1-glvnd-nvidia,
  libgles1-glvnd-nvidia,
  libgles2-glvnd-nvidia,
+ nvidia-legacy-304xx-alternative,
+ nvidia-legacy-340xx-alternative,
+ nvidia-legacy-390xx-alternative,
+ nvidia-tesla-418-alternative,
+ nvidia-tesla-450-alternative,
+ nvidia-tesla-460-alternative,
+ nvidia-tesla-510-alternative,
 Description: allows the selection of NVIDIA as GLX provider${nvidia:VariantDesc}
  In setups with several NVIDIA driver versions installed (e.g. current and
  legacy) this metapackage registers an alternative to allow easy switching
@@ -355,10 +363,3 @@
 Architecture: i386 amd64 arm64
 Multi-Arch: same
 Depends:
- libgl1 (>= 0.2.999) | libgl1-glvnd-nvidia-glx,
- libglx-${nvidia-}0 (= ${binary:Version}),
- ${misc:Depends}
-Provides:
- libgl1-nvidia-glx-any,
-Description: NVIDIA binary OpenGL/GLX library (GLVND variant)${nvidia:VariantDesc}
- The NVIDIA binary driver provides optimized hardware acceleration of
